<template>
  <div :class="prefixCls">
    <slot name="extra">
      {{ extra }}
    </slot>
    <slot />
  </div>
</template>

<script>
export default {
  name: 'FooterToolBar',
  props: {
    prefixCls: {
      type: String,
      default: 'mt-footer-toolbar'
    },
    extra: {
      type: [String, Object],
      default: null,
      required: false
    }
  }
}
</script>

<style lang="less" scoped>
.mt-footer-toolbar {
  position: fixed;
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  justify-content: center;

  width: 100%;
  bottom: 0;
  right: 0;
  height: auto;
  // line-height: 56px;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.03);
  background: #fff;
  border-top: 1px solid #e8e8e8;
  padding: 8px 0 0 0;
  z-index: 9;
}
</style>
